org.apache.ignite.ml.util.genetic

## Enum CrossoverStrategy

- java.lang.Object
- - java.lang.Enum<CrossoverStrategy>
  - - org.apache.ignite.ml.util.genetic.CrossoverStrategy

- All Implemented Interfaces:
    Serializable, Comparable<CrossoverStrategy>

      public enum CrossoverStrategy
      extends Enum<CrossoverStrategy>

  Represents the crossover strategy depending of locus point amount.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MULTI_POINT` Multi point.
    `ONE_POINT` One point.
    `TWO_POINT` Two point.
    `UNIFORM` Uniform.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CrossoverStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CrossoverStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONE_POINT

          public static final CrossoverStrategy ONE_POINT

      One point.

    - #### TWO_POINT

          public static final CrossoverStrategy TWO_POINT

      Two point.

    - #### MULTI_POINT

          public static final CrossoverStrategy MULTI_POINT

      Multi point.

    - #### UNIFORM

          public static final CrossoverStrategy UNIFORM

      Uniform.

  - ### Method Detail

    - #### values

          public static CrossoverStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CrossoverStrategy c : CrossoverStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CrossoverStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023